Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.validation.service
Interface ValidationService

All Superinterfaces:
  Configurable, Service

All Known Implementing Classes:
  LocalValidationService, RemoteValidationService

public interface ValidationService
extends Service

Description of the methods that must be available in all ValidationServices

Author:
  dizzzz

Method Summary
`boolean` | `validateResource(java.lang.String resourcePath)` Deprecated. Use XmldbURI version instead
`boolean` | `validateResource(XmldbURI resourcePath)`

Methods inherited from interface org.xmldb.api.base.Service
`getName, getVersion, setCollection`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Method Detail

### validateResource

    public boolean validateResource(java.lang.String resourcePath)
                             throws XMLDBException

  Deprecated. Use XmldbURI version instead

  Throws:
    `XMLDBException`

### validateResource

    public boolean validateResource(XmldbURI resourcePath)
                             throws XMLDBException

  Throws:
    `XMLDBException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.